## Commands ¶

Nearly all commands have the following common options:

`-cfg` ¶

  Path to configuration file. May be overridden by `$NNCPCFG` environment variable. If file file is an encrypted eblob, then ask for passphrase to decrypt it first.

`-debug`

  Print debug messages. Normally this option should not be used.

`-minsize`

  Minimal required resulting packet size, in KiBs. For example if you send 2 KiB file and set `-minsize 4`, then resulting packet will be 4 KiB (containing file itself and some junk).

`-nice`

  Set desired outgoing packet niceness level.

`-replynice`

  Set desired reply packet niceness level. Only freq and exec packets look at that niceness level.

`-via`

  Override via configuration option for destination node. Specified nodes must be separated with comma: `NODE1,NODE2`. With `-via -` you can disable relaying at all.

`-spool`

  Override path to spool directory. May be specified by `$NNCPSPOOL` environment variable.

`-log`

  Override path to logfile. May be specified by `$NNCPLOG` environment variable.

`-quiet`

  Print only errors, omit simple informational messages. In any case those messages are logged, so you can reread them using `nncp-log` command.

`-progress, -noprogress`

  Either force progress showing, or disable it.

`-version`

  Print version information.

`-warranty`

  Print warranty information (no warranty).

All commands respect `$TMPDIR` environment variable.

If you set `$NNCPNOSYNC=1`, then all `fsync` operations will be skipped. That is dangerous option, but if there there are abilities to rollback possibly corrupted state to some stable snapshot, then disabled `fsync` can give considerable increase in performance.